# Browser Profile

## Start browser profile

 - [POST /api/env/start](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/startbrowserprofileusingpost.md): Used to start the profile; you must specify the profile ID. After
successful startup, you can obtain the profile debug interface for
executing Selenium and Puppeteer automation. For Selenium, use the
WebDriver matching the corresponding kernel version. The WebDriver path
can be retrieved from the response after profile startup. Requires
MoreLogin client version 2.15.0 or higher.

## Stop browser profile

 - [POST /api/env/close](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1close/post.md): Closes the specified environment. Requires specifying the environment ID. Requires MoreLogin application v2.15.0 or higher.

## Quick create browser profile

 - [POST /api/env/create/quick](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1create~1quick/post.md)

## Advanced create browser profile

 - [POST /api/env/create/advanced](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1create~1advanced/post.md)

## Modify browser profile

 - [POST /api/env/update](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1update/post.md)

## Delete browser profile

 - [POST /api/env/removeToRecycleBin/batch](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/batchdeletebrowserprofilesusingpost.md)

## Get a list of browser profiles

 - [POST /api/env/page](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/listbrowserprofilesusingpost.md)

## Get browser profile details

 - [POST /api/env/detail](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/getbrowserprofiledetailsusingpost.md)

## Get a list of browser kernel versions

 - [GET /api/env/advanced/ua/versions](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1advanced~1ua~1versions/get.md)

## Get browser profile UA

 - [POST /api/env/advanced/ua/get](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/getbrowserprofileuausingpost.md)

## Get resolution

 - [POST /api/env/base/resolution/list](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/listresolutionsusingpost.md)

## Get configurable platforms

 - [GET /api/system/platform/list](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1system~1platform~1list/get.md)

## Get browser security lock status

 - [POST /api/env/lock/query](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/querybrowserlockstatususingpost.md)

## Get a list of timezone and language

 - [POST /api/env/base/list](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/listtimezoneandlanguageusingpost.md)

## Clear local profile cache

 - [POST /api/env/removeLocalCache](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/clearlocalprofilecacheusingpost.md)

## Clean Environment Cloud Cache

 - [POST /api/env/cache/cleanCloud](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1cache~1cleancloud/post.md): Cleans environment cloud cookies and other data (LocalStorage, IndexedDB, extensions and their data)

## Refresh fingerprint

 - [POST /api/env/fingerprint/refresh](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/refreshfingerprintusingpost.md)

## Get the browser profile running status

 - [POST /api/env/status](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1status/post.md)

## Get screen list

 - [POST /api/env/getAllScreen](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1getallscreen/post.md): Used to retrieve information of all monitors. No request parameters required.

## One-click adaptive window arrangement

 - [POST /api/env/arrangeWindows](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1arrangewindows/post.md): Used to arrange opened profiles with one click. Requires at least one profile to be open.

## Batch modify profiles group

 - [POST /api/env/setGroup/batch](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1setgroup~1batch/post.md): Used to batch modify the group information of profiles. Creates a new group if the group name does not exist.

## Batch modify profiles proxy

 - [POST /api/env/setProxy/batch](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1setproxy~1batch/post.md)

## Batch modify profile remark

 - [POST /api/env/setRemark/batch](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1setremark~1batch/post.md)

## Close all opened prifile

 - [POST /api/env/closeAll](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1closeall/post.md): Closes all opened prifile windows. No request parameters required.

## Get process IDs of all opened profiles

 - [POST /api/env/getAllProcessIds](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1getallprocessids/post.md): Gets the process IDs of all opened profiles. No request parameters required. Requires MoreLogin application version 2.49.0 or higher.

## Get remote debugging info for all opened profiles

 - [POST /api/env/getAllDebugInfo](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1getalldebuginfo/post.md): Gets remote debugging port and other information for all opened profiles. No request parameters required.

## Get phone model list

 - [POST /api/env/base/mobile/devices](https://guide.morelogin.com/api-reference/local-api/local-api/browser-profile/paths/~1api~1env~1base~1mobile~1devices/post.md)

